AQSL(1)

NAME
aqsl - shader compiler from Aqsis Renderer, a 3D rendering solution adhering to the RenderMan(R) standard

SYNOPSIS
aqsl [options] <filename>

DESCRIPTION

-o %s
    specify output filename

-i%s
    Set path for #include files.

-I%s
    Set path for #include files.

-DSym[=value]
    define symbol <string> to have value <value> (default: 1).

-USym
    Undefine an initial symbol.

-backend %s
    Compiler backend (default slx). Possibilities include "slx" or "dot": slx - produce a compiled shader (in the aqsis shader VM stack language) dot - make a graphviz visualization of the parse tree (useful for debugging only).

-h, -help
    Print this help and exit

-version
    Print version information and exit

-nc, -nocolor
    Disable colored output

-d  dump sl data

-v, -verbose=integer
    Set log output level 0 = errors 1 = warnings (default) 2 = information 3 = debug

compiled Jun 5 2012 15:57:24

AUTHOR
This manual page was created by Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> for Debian, with the help of 'help2man' and adding fixing some issues. The original Aqsis project doesn't ship manual pages.

SEE ALSO
The main place for documentation for Aqsis is http://wiki.aqsis.org/